<h1>DONATE</h1><br />
				<?php
						if (isset($_POST['weiter'])) {
							
							//Mit MSSQL Verbinden.
							$mssql_handle = @mssql_connect("CYBER951-PC\SQLEXPRESS", "sa", "Test12345");
							
							//?berpr?fen ob die verbindung zu MSSQL in ordnung ist.
							if ($mssql_handle) {
								
								//Variablen vergeben f?r POST.
								$Accountname = mysql_escape_string($_POST['payuser']);
								$Betrag = mysql_escape_string($_POST['paybetrag']);
								$Code = mysql_escape_string($_POST['paycode']);
								
								//Auf Fehler ?berpr?fen.
								$Check_Code = mssql_query("SELECT * FROM paysafecard..tCards WHERE nPayCode = '".$Code."'");
								$Check_User = mssql_query("SELECT * FROM OdinAccounts..tAccounts WHERE sUsername = '".$Accountname."'");
								
								if ($Accountname == '') {
									showMessage( 'error', 'Der angegebene Benutzername wird nicht angenommen.');
								}elseif ($Betrag == '') {
									showMessage( 'error', 'Der angegebene Betrag wird nicht angenommen.');
								}elseif ($Code == '') {
									showMessage( 'error', 'Der angegebene Code wird nicht angenommen.');
								}elseif (strlen($Code) !=  '19') {
									showMessage( 'error', 'Der angegebene Code muss mindestens 19 Zeichen haben. <br />(0000-0000-0000-0000)');
								}elseif (mssql_num_rows($Check_Code) == 1) {
									showMessage( 'error', 'Der angegebene Code wurde bereits benutzt.');
								}elseif (mssql_num_rows($Check_User) == 0) {
									showMessage( 'error', 'Der angegebene Benutzername konnte nicht gefunden werden.');
								}else{
									//Usernummer von der Datenbank besorgen.
									$User_No = mssql_query("SELECT nEMID FROM OdinAccounts..tAccounts WHERE sUsername = '".$Accountname."'");
									$User_No = mssql_fetch_row($User_No);
									
									//Die TextBoxen in die Datebank eintragen.
									$Insert1 = mssql_query("INSERT INTO paysafecard..tCards (nIP, nUserNo, nUserName, nPayCode, nMoney) VALUES ('".$_SERVER['REMOTE_ADDR']."', '".$User_No[0]."', '".$Accountname."', '".$Code."', '".$Betrag."');");
									
									//Verbindung schliessen.
									mssql_close($mssql_handle);
									
									//Checken ob das eintragen erfolgereich oder fehlerhaft war.
									if ($Insert1) {
										showMessage( 'success', 'Deine Daten wurden angenommen und weitergeleitet. <br /> Es kann bis zu 12 Stunden dauern bis dein Betrag aufgeladen wird.');
									}elseif (!$Insert1) {
										showMessage( 'error', 'Da ging etwas schief (MSSQL Error 2 !');
										exit();
									}
									
								}
							}else{
								showMessage( 'error', 'MSSQL Error !');
							}
							
						}else{
				?>
					<form method="post" action="index.php?module=donate">
						<table width="100%" cellspacing="0">
							<tr>
								<td>Benutzername</td>
								<td><input class="input" type="text" name="payuser" size="25" /></td>
								<td></td>
							</tr>
							<tr>
								<td>Betrag:</td>
								<td>
									<select class="input" name="paybetrag" style="width:150px;height:18px">
										<option value="" selected="selected">Bitte ausw&auml;hlen</option>
										<option value="10 Euro">10 &euro; - 10000 Coins</option>
										<option value="25 Euro">25 &euro; - 25000 Coins</option>
										<option value="50 Euro">50 &euro; - 50000 Coins</option>
									</select>
								</td>
								<td></td>
							</tr>
							<tr>
								<td>Paysafe Code:</td>
								<td><input type="text" class="input" name="paycode" size="25" /></td>
								<td></td>
							</tr>
							<tr>
								<td></td>
								<td><input type='submit' name='weiter' value='Donate' /></td>
								<td></td>
							</tr>
						</table>
					</form>
				<?php } ?>